Skip to main content
PATCH
/
v1
/
retailers
/
{retailer_id}
/
variants
/
{id}
Update variant attributes
curl --request PATCH \
  --url https://marketplace-api.fabric.inc/v1/retailers/{retailer_id}/variants/{id}/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "T-Shirt, Blue, L",
  "parent_identifier": "1000-BL",
  "parent_name": "T-Shirt, Blue",
  "identifier": "1000-BL-L",
  "upc": "9119119111",
  "color": "Blue",
  "style": "print",
  "size": "Medium",
  "active_permit": {
    "retailer_price": "12.99",
    "retailer_cost": "8.99",
    "pricing": {},
    "attributes": {},
    "start_at": "2021-09-10T15:24:56Z",
    "end_at": "2024-09-10T15:24:56Z",
    "revoked_at": "2022-09-10T15:24:56Z",
    "acknowledged_at": "2022-09-10T15:24:56Z"
  },
  "proposal_variant": {
    "attributes": [
      {
        "value": "<string>",
        "unit": {
          "system": "metric",
          "symbol": "USD"
        },
        "updated_at": "2023-11-07T05:31:56Z"
      }
    ],
    "memos": [
      {
        "text": "Immediate requirement",
        "visibility": "any",
        "notify_people": true,
        "created_by": {
          "first_name": "Sample",
          "last_name": "Demo",
          "title": "Demo",
          "status": "Active",
          "type": "standard"
        },
        "created_by_context": "retailer"
      }
    ],
    "approved_at": "2022-10-10T15:24:56Z",
    "rejected_at": null,
    "reject_reason": "Incomplete",
    "reject": true,
    "approve": false,
    "delete": false
  }
}
'
{
  "id": 100024,
  "name": "T-Shirt, Blue, L",
  "brand_identifier": "1000-BL-L",
  "parent_identifier": "1000-BL",
  "parent_name": "T-Shirt, Blue",
  "attributes": [
    {
      "code": "size",
      "name": "Size",
      "type": "money",
      "id": 44,
      "editable_by": "brand",
      "grouping": "general",
      "description": "demo product description",
      "units": "USD",
      "values": {
        "id": 123,
        "value": "<string>",
        "unit": {
          "id": 677,
          "name": "Sample unit",
          "standard_unit": "<string>",
          "type": "cost",
          "system": "metric",
          "symbol": "USD"
        },
        "retailer": {
          "name": "Demo Retailer",
          "code": "demo-retailer",
          "id": 500,
          "logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",
          "cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",
          "profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",
          "joined_at": "2021-08-03T17:24:12Z",
          "is_rcn_retailer": false,
          "is_onboarded": false,
          "platform": "fabric",
          "requires_subscription": "disabled",
          "brand_permit_creation_allowed": false,
          "website": "https://demoabc.com",
          "status": "active"
        },
        "updated_at": "2023-11-07T05:31:56Z",
        "created_at": "2023-11-07T05:31:56Z"
      }
    }
  ],
  "brand": {
    "code": "demo-brand",
    "id": 500,
    "name": "Marla Cielo",
    "joined_at": "2022-09-10T15:24:56Z",
    "logo_url": "https://images.revcascade.com/retailers/defaults/logo-lg.png",
    "cover_url": "https://images.revcascade.com/retailers/defaults/cover.png",
    "profile_tile_url": "https://images.revcascade.com/retailers/defaults/profile-tile.png",
    "website": null,
    "is_onboarded": false,
    "is_on_rcn": false,
    "requires_subscription": "enabled",
    "subscription_expires_at": "2024-09-19T13:32:10Z",
    "grace_period_ends_at": "2024-10-26T13:32:10Z",
    "subscription_is_expired": false,
    "subscription_is_on_grace_period": false,
    "subscription_is_delinquent": false,
    "inventory_policy": "managed",
    "status": "active"
  },
  "identifier": "1000-BL-L",
  "product_id": "4511",
  "cartons": [
    {
      "id": 48,
      "number": 1,
      "length": "1",
      "length_unit": "1",
      "width": "1",
      "width_unit": "meter",
      "height": "1",
      "height_unit": "meter",
      "weight": "15",
      "weight_unit": "KG",
      "package_girth_inches": "1",
      "package_size_inches": "1"
    }
  ],
  "upc": "9119119111",
  "color": "Blue",
  "style": "print",
  "size": "Medium",
  "active_permit": {
    "id": 10104,
    "retailer": {
      "name": "Demo Retailer",
      "code": "demo-retailer",
      "id": 500,
      "logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",
      "cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",
      "profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",
      "joined_at": "2021-08-03T17:24:12Z",
      "is_rcn_retailer": false,
      "is_onboarded": false,
      "platform": "fabric",
      "requires_subscription": "disabled",
      "brand_permit_creation_allowed": false,
      "website": "https://demoabc.com",
      "status": "active"
    },
    "retailer_price": "12.99",
    "retailer_cost": "8.99",
    "pricing": {},
    "attributes": {},
    "start_at": "2021-09-10T15:24:56Z",
    "end_at": "2024-09-10T15:24:56Z",
    "is_in_effect": true,
    "revoked_at": "2022-09-10T15:24:56Z",
    "is_acknowledged": true,
    "acknowledged_at": "2022-09-10T15:24:56Z"
  },
  "permits": [
    {
      "id": 10104,
      "retailer": {
        "name": "Demo Retailer",
        "code": "demo-retailer",
        "id": 500,
        "logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",
        "cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",
        "profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",
        "joined_at": "2021-08-03T17:24:12Z",
        "is_rcn_retailer": false,
        "is_onboarded": false,
        "platform": "fabric",
        "requires_subscription": "disabled",
        "brand_permit_creation_allowed": false,
        "website": "https://demoabc.com",
        "status": "active"
      },
      "retailer_price": "12.99",
      "retailer_cost": "8.99",
      "pricing": {},
      "attributes": {},
      "start_at": "2021-09-10T15:24:56Z",
      "end_at": "2024-09-10T15:24:56Z",
      "is_in_effect": true,
      "revoked_at": "2022-09-10T15:24:56Z",
      "is_acknowledged": true,
      "acknowledged_at": "2022-09-10T15:24:56Z"
    }
  ],
  "permits_count": 1,
  "inventory_policy": "Managed",
  "inventory": {
    "inventory_updated_at": "2022-09-10T15:24:56Z",
    "inventory_last_submitted_at": "2022-09-10T15:24:56Z",
    "brand_inventory_updated_at": "2022-09-10T15:24:56Z",
    "sellable_updated_at": "2022-11-10T15:24:56Z",
    "estimated_availability_date": "2022-09-10T15:24:56Z",
    "discontinued": true,
    "discontinued_updated_at": null,
    "inventory": 0,
    "sellable": "No",
    "replenishable": true,
    "locations": [
      {
        "id": 1,
        "address": {
          "name1": "Demo Brand, Inc",
          "street1": "1332 Hermosa Ave",
          "city": "Hermosa Beach",
          "province": "CA",
          "postal_code": "90254",
          "country": "US",
          "id": 10,
          "type": "residential",
          "name2": null,
          "street2": null,
          "phone1": "3105551212",
          "phone2": "3105551213",
          "fax": null,
          "email": null,
          "federal_tax_id": null
        },
        "inventory": 0,
        "nickname": "LA Warehouse"
      }
    ]
  },
  "media": [
    {
      "id": 249,
      "width": 100,
      "height": 100,
      "media": "default",
      "priority": 1,
      "url": "192.168.99.100/media/default/original",
      "updated_at": "2022-09-10T15:24:56Z",
      "created_at": "2022-08-10T15:24:56Z"
    }
  ],
  "ruleset_variants": [
    {
      "id": 1232,
      "status": "processing",
      "results": "<string>",
      "created_at": "2022-08-10T15:24:56Z",
      "updated_at": "2022-09-10T15:24:56Z"
    }
  ],
  "ruleset_variant_summary": "<string>",
  "is_compatible": true,
  "proposal_variant": {
    "id": 3456,
    "pricing": "12.00",
    "attributes": [
      {
        "id": 123,
        "value": "<string>",
        "unit": {
          "id": 677,
          "name": "Sample unit",
          "standard_unit": "<string>",
          "type": "cost",
          "system": "metric",
          "symbol": "USD"
        },
        "retailer": {
          "name": "Demo Retailer",
          "code": "demo-retailer",
          "id": 500,
          "logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",
          "cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",
          "profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",
          "joined_at": "2021-08-03T17:24:12Z",
          "is_rcn_retailer": false,
          "is_onboarded": false,
          "platform": "fabric",
          "requires_subscription": "disabled",
          "brand_permit_creation_allowed": false,
          "website": "https://demoabc.com",
          "status": "active"
        },
        "updated_at": "2023-11-07T05:31:56Z",
        "created_at": "2023-11-07T05:31:56Z"
      }
    ],
    "memos": [
      {
        "id": 1234,
        "text": "Immediate requirement",
        "visibility": "any",
        "acknowledged_at": "2022-01-10T15:24:56Z",
        "notify_people": true,
        "created_by": {
          "id": 542,
          "first_name": "Sample",
          "last_name": "Demo",
          "title": "Demo",
          "status": "Active",
          "type": "standard",
          "photo_url": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",
          "profile_photo": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",
          "is_me": true
        },
        "created_by_context": "retailer",
        "created_at": "2021-09-10T15:24:56Z",
        "updated_at": "2022-09-10T15:24:56Z"
      }
    ],
    "issues": [
      {
        "id": 123,
        "memos": [
          {
            "id": 1234,
            "text": "Immediate requirement",
            "visibility": "any",
            "acknowledged_at": "2022-01-10T15:24:56Z",
            "notify_people": true,
            "created_by": {
              "id": 542,
              "first_name": "Sample",
              "last_name": "Demo",
              "title": "Demo",
              "status": "Active",
              "type": "standard",
              "photo_url": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",
              "profile_photo": "https://assets.demo.com/attachments/path_to_attachment/attachment.pdf",
              "is_me": true
            },
            "created_by_context": "retailer",
            "created_at": "2021-09-10T15:24:56Z",
            "updated_at": "2022-09-10T15:24:56Z"
          }
        ],
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "resolved_at": "2023-11-07T05:31:56Z",
        "is_resolved": "<string>",
        "issue_id": 123,
        "message": "<string>",
        "title": "<string>"
      }
    ],
    "variant_id": 249,
    "approved_at": "2022-10-10T15:24:56Z",
    "created_at": "2022-07-10T15:24:56Z",
    "updated_at": "2022-09-10T15:24:56Z",
    "rejected_at": null,
    "reject_reason": "Incomplete",
    "reject": true,
    "approve": false,
    "delete": false
  },
  "retailer_identifiers": [
    {
      "id": 5642,
      "retailer": {
        "name": "Demo Retailer",
        "code": "demo-retailer",
        "id": 500,
        "logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",
        "cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",
        "profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",
        "joined_at": "2021-08-03T17:24:12Z",
        "is_rcn_retailer": false,
        "is_onboarded": false,
        "platform": "fabric",
        "requires_subscription": "disabled",
        "brand_permit_creation_allowed": false,
        "website": "https://demoabc.com",
        "status": "active"
      },
      "identifier": "SKU976",
      "name": "Retailer Sample"
    }
  ],
  "retailer_categories": {
    "category": "CategoryANC",
    "id": 453,
    "retailer": {
      "name": "Demo Retailer",
      "code": "demo-retailer",
      "id": 500,
      "logo_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/logo-lg.png",
      "cover_url": "https://images.sampke.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/cover.jpg",
      "profile_tile_url": "https://images.demo.com/retailers/5ef41f6c-3361-40b7-86ce-ecd79c52e9a2/store/profile-tile.jpg",
      "joined_at": "2021-08-03T17:24:12Z",
      "is_rcn_retailer": false,
      "is_onboarded": false,
      "platform": "fabric",
      "requires_subscription": "disabled",
      "brand_permit_creation_allowed": false,
      "website": "https://demoabc.com",
      "status": "active"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://developer.fabric.inc/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

retailer_id
integer
required

The unique retailer ID. In the Dropship UI this is called the Merchant ID. To find your Merchant ID, click your merchant name in the top nav.

Example:

1001

id
integer
required

The unique variant identifier. This ID is automatically generated when a variant is created.

Body

application/json
name
string | null

Variant name

Maximum string length: 200
Example:

"T-Shirt, Blue, L"

parent_identifier
string | null

Parent identifier of variant

Maximum string length: 100
Example:

"1000-BL"

parent_name
string | null

Parent name of variant

Maximum string length: 200
Example:

"T-Shirt, Blue"

brand
object
identifier
string | null

Stock Keeping Unit (SKU), unique identifier of a product

Maximum string length: 128
Example:

"1000-BL-L"

upc
string

Universal product code (UPC) is a 12-digit combination of numbers assigned to each product in your dropshipping store.

Maximum string length: 64
Example:

"9119119111"

color
string | null

Variant color

Maximum string length: 128
Example:

"Blue"

style
string | null

Variant style

Maximum string length: 128
Example:

"print"

size
string | null

Variant size

Maximum string length: 128
Example:

"Medium"

active_permit
object
inventory
object
proposal_variant
object
retailer_categories
object

Response

200 - application/json

OK

id
integer
read-only

Variant ID

Example:

100024

name
string | null

Variant name

Maximum string length: 200
Example:

"T-Shirt, Blue, L"

brand_identifier
string
read-only

Brand identifier

Minimum string length: 1
Example:

"1000-BL-L"

parent_identifier
string | null

Parent identifier of variant

Maximum string length: 100
Example:

"1000-BL"

parent_name
string | null

Parent name of variant

Maximum string length: 200
Example:

"T-Shirt, Blue"

attributes
object[]
read-only
brand
object
identifier
string | null

Stock Keeping Unit (SKU), unique identifier of a product

Maximum string length: 128
Example:

"1000-BL-L"

product_id
string
read-only

Product ID

Example:

"4511"

cartons
object[]
read-only
upc
string

Universal product code (UPC) is a 12-digit combination of numbers assigned to each product in your dropshipping store.

Maximum string length: 64
Example:

"9119119111"

color
string | null

Variant color

Maximum string length: 128
Example:

"Blue"

style
string | null

Variant style

Maximum string length: 128
Example:

"print"

size
string | null

Variant size

Maximum string length: 128
Example:

"Medium"

active_permit
object
permits
object[]
read-only
permits_count
integer
read-only

Count of permits

Example:

1

inventory_policy
string
read-only

Inventory policy

Example:

"Managed"

inventory
object
media
object[]
read-only
ruleset_variants
object[]
read-only
ruleset_variant_summary
string
read-only

Summary of ruleset variant

is_compatible
string
read-only

true: variant is compatible | false: variant is not compatible

Example:

true

proposal_variant
object
retailer_identifiers
object[]
read-only
retailer_categories
object